`-L<start>,<end>:<file>`::
`-L:<funcname>:<file>`::

	Trace the evolution of the line range given by `<start>,<end>`,
	or by the function name regex _<funcname>_, within the _<file>_. You may
	not give any pathspec limiters.  This is currently limited to
	a walk starting from a single revision, i.e., you may only
	give zero or one positive revision arguments, and
	_<start>_ and _<end>_ (or _<funcname>_) must exist in the starting revision.
	You can specify this option more than once. Implies `--patch`.
	Patch output can be suppressed using `--no-patch`.
	Non-patch diff formats `--raw`, `--name-only`, `--name-status`,
	and `--summary` are supported.  Diff stat formats
	(`--stat`, `--numstat`, `--shortstat`, `--dirstat`) are not
	currently implemented.
+
Patch formatting options such as `--word-diff`, `--color-moved`,
`--no-prefix`, and whitespace options (`-w`, `-b`) are supported,
as are pickaxe options (`-S`, `-G`) and `--diff-filter`.
+
include::line-range-format.adoc[]
